Update a time entry Run in API Explorer
Ask AI
Body
-
The type of the model that is being tracked.. Valid types are: client, board_task, case, circle, firm, task
Values are
client,board_task,case,circle,firm, ortask. -
The UUID of the model that is being tracked
-
The name of the time entry.
-
The description of the time entry.
-
The start time of the time entry.
-
The end time of the time entry.
-
The length of the time entry, can be used instead of dates.
PUT
/api/v1/time-entry/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/time-entry/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"trackable_type": "client",
"trackable_uuid": "f0b307f3-e72c-4aed-8cb7-4d6c03183b33",
"name": "Research",
"description": "Research for the client",
"start_date": "2026-08-24",
"end_date": "2026-10-08",
"total_time_in_minutes": 200
}'
Request examples
{
"trackable_type": "client",
"trackable_uuid": "f0b307f3-e72c-4aed-8cb7-4d6c03183b33",
"name": "Research",
"description": "Research for the client",
"start_date": "2026-08-24",
"end_date": "2026-10-08",
"total_time_in_minutes": 200
}
Response examples (200)
{
"uuid": "7a2c51f2-503b-431c-ab77-9b50224c0114",
"created_at": "2026-10-08T16:24:02+01:00",
"updated_at": "2026-10-08T16:24:02+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"trackable": {
"uuid": "c4200729-bb7c-4409-954f-067f3c04ec6d",
"created_at": "2026-10-08T16:24:02+01:00",
"updated_at": "2026-10-08T16:24:02+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e787510a-b280-4850-a22b-0274a00c9970",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"start_date": "2026-10-08T15:34:02+01:00",
"end_date": "2026-10-08T16:02:02+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680,
"account": {
"uuid": "90e3d0ff-b8e4-46cb-bf1f-9138e8b47e9d",
"created_at": "2026-10-08T16:24:02+01:00",
"updated_at": "2026-10-08T16:24:02+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "e787510a-b280-4850-a22b-0274a00c9970",
"created_at": "2026-10-08T16:24:08+01:00",
"updated_at": "2026-10-08T16:24:08+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}